function DATAinsert = cellMakerIPLHR(IDcentralina,DTcatena,NodeNum,cIPLHR,ListaDate,...
    ErrInPlaceLinkHR,ARRAYdateIPLHR,X_IPLHR,Y_IPLHR,Z_IPLHR,Xlocal_IPLHR,Ylocal_IPLHR,...
    Zlocal_IPLHR,HShift_IPLHR,HShift_local_IPLHR,AlfaX_IPLHR,AlfaY_IPLHR,Azimuth_IPLHR,...
    TempDef_IPLHR,Speed_IPLHR,Speed_local_IPLHR,Acceleration_IPLHR,Acceleration_local_IPLHR)

TempDef_IPLHR = TempDef_IPLHR';
l = ListaDate;
DATAinsert = cell(l,22);

for ii=1:l
    DATAinsert{ii,1} = IDcentralina;
    DATAinsert{ii,2} = DTcatena;
    DATAinsert{ii,3} = NodeNum;
    DATAinsert{ii,4} = datestr(ARRAYdateIPLHR(ii),'yyyy-mm-dd');
    DATAinsert{ii,5} = datestr(ARRAYdateIPLHR(ii),'HH:MM:SS');
    DATAinsert{ii,6} = X_IPLHR(cIPLHR,ii);
    DATAinsert{ii,7} = Y_IPLHR(cIPLHR,ii);
    DATAinsert{ii,8} = Z_IPLHR(cIPLHR,ii);
    DATAinsert{ii,9} = Xlocal_IPLHR(cIPLHR,ii);
    DATAinsert{ii,10} = Ylocal_IPLHR(cIPLHR,ii);
    DATAinsert{ii,11} = Zlocal_IPLHR(cIPLHR,ii);
    DATAinsert{ii,12} = HShift_IPLHR(cIPLHR,ii);
    DATAinsert{ii,13} = HShift_local_IPLHR(cIPLHR,ii);
    DATAinsert{ii,14} = Azimuth_IPLHR(cIPLHR,ii); 
    DATAinsert{ii,15} = TempDef_IPLHR(cIPLHR,ii);
    DATAinsert{ii,16} = Speed_IPLHR(cIPLHR,ii);
    DATAinsert{ii,17} = Speed_local_IPLHR(cIPLHR,ii);
    DATAinsert{ii,18} = Acceleration_IPLHR(cIPLHR,ii);
    DATAinsert{ii,19} = Acceleration_local_IPLHR(cIPLHR,ii);
    DATAinsert{ii,20} = ErrInPlaceLinkHR(cIPLHR,ii);
    DATAinsert{ii,21} = AlfaX_IPLHR(cIPLHR,ii);
    DATAinsert{ii,22} = AlfaY_IPLHR(cIPLHR,ii);
end

end